Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.mapping
Interface MetaAttributable

All Known Implementing Classes:
  Backref, Component, IndexBackref, JoinedSubclass, PersistentClass, Property, RootClass, SingleTableSubclass, Subclass, SyntheticProperty, UnionSubclass

    public interface MetaAttributable

Common interface for things that can handle meta attributes.

Since:
  3.0.1

Method Summary
`MetaAttribute` | `getMetaAttribute(String name)`
`Map` | `getMetaAttributes()`
`void` | `setMetaAttributes(Map metas)`

Method Detail

### getMetaAttributes

    Map getMetaAttributes()

### setMetaAttributes

    void setMetaAttributes(Map metas)

### getMetaAttribute

    MetaAttribute getMetaAttribute(String name)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.